Bug 86083 - TOOLBAR: 'Column' and 'Row' group buttons
Summary: TOOLBAR: 'Column' and 'Row' group buttons
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:6.0.0 target:5.3....
Keywords:
Depends on:
Blocks: Split-Group-Buttons Calc-Toolbars
  Show dependency treegraph
 
Reported: 2014-11-10 01:56 UTC by Yousuf Philips (jay)
Modified: 2017-10-22 20:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-11-10 01:56:06 UTC
There are many operations that can be done on columns and rows, but there is no easy means of jamming all of these into the toolbar, so i'd like to propose group buttons for columns and rows.

Each group button will have a list of uno commands for:

1) Insert
2) Delete
- separator -
3) Size (Height/Width)
4) Optimal Size
5) Default Size
- separator -
5) Hide
6) Show
7) Fill >
  7a) Down/Right
  7b) Up/Left
  7c) Series
  7d) Random
Comment 1 Yousuf Philips (jay) 2014-11-10 07:05:52 UTC
Additional entries that can be included in the groups include:

8) Page Break
9) Freeze Panes
Comment 2 Cor Nouws 2014-11-10 10:47:41 UTC
sound nice..
Comment 3 Gülşah Köse 2016-07-26 07:23:52 UTC
Hi Yousuf, Is there any ready icon for using that column and row group button or should we design two new buttons?
Comment 4 Yousuf Philips (jay) 2016-07-26 09:35:05 UTC
(In reply to Gülşah Köse from comment #3)
> Hi Yousuf, Is there any ready icon for using that column and row group
> button or should we design two new buttons?

You can use these icons by linking them in links.txt
column - lc_entirecolumn.png
row - lc_entirerow.png

Since i initially opened this enhancement, we now have uno commands for insert row before and after and insert column before and after, so those should be used.

Maxim has created the necessary framework to make the creation of these group buttons easy, similar to the patch he modified of yours for the freeze split button. https://cgit.freedesktop.org/libreoffice/core/commit/?id=c3a2fa08763fb38e9325e609420db2f70e428cf0

Just to confirm, two new uno commands need to be created for these group buttons. You may also like to check Maxim's patch where he did this with the conditional formatting buttons. https://cgit.freedesktop.org/libreoffice/core/commit/?id=0e7cd653ea90da388820220bf6a3eb140b57bbd6
Comment 5 Gülşah Köse 2016-07-27 08:30:30 UTC
Hi Yousuf,

<menu:menu menu:id=".uno:FillCellsMenu">
  <menu:menupopup>
     <menu:menuitem menu:id=".uno:FillDown"/>
     <menu:menuitem menu:id=".uno:FillRight"/>
     <menu:menuitem menu:id=".uno:FillUp"/>
     <menu:menuitem menu:id=".uno:FillLeft"/>

Should these commands be same for column and row group buttons? They don't gruop by row or column operation.?
Comment 6 Gülşah Köse 2016-07-27 09:11:07 UTC
I've sent a patch --> https://gerrit.libreoffice.org/#/c/27570/ @yousuf Could you check menu design?
Comment 7 Yousuf Philips (jay) 2016-07-27 16:53:46 UTC
(In reply to Gülşah Köse from comment #5)
> Hi Yousuf,
> 
> <menu:menu menu:id=".uno:FillCellsMenu">
>   <menu:menupopup>
>      <menu:menuitem menu:id=".uno:FillDown"/>
>      <menu:menuitem menu:id=".uno:FillRight"/>
>      <menu:menuitem menu:id=".uno:FillUp"/>
>      <menu:menuitem menu:id=".uno:FillLeft"/>
> 
> Should these commands be same for column and row group buttons? They don't
> gruop by row or column operation.?

Hey Gulsah,

You can leave those out, what is needed is size related entries - row height, optimal height, column width, optimal width.

(In reply to Gülşah Köse from comment #6)
> I've sent a patch --> https://gerrit.libreoffice.org/#/c/27570/ @yousuf
> Could you check menu design?

Laptop is in the shop, so i cant build presently. :( But once the ground work has been done, i can easily tweak it if changes are needed in the xml file.
Comment 9 Commit Notification 2017-09-23 10:53:41 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7dc82cc2e424b6acddb1aa06338f51db20e6a21e

tdf#86083 Restore old operation buttons but have them hidden

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-09-27 20:32:30 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a808dcb220e068f224266c0dab3fe8dd16a2964&h=libreoffice-5-3

tdf#86083 Restore old operation buttons but have them hidden

It will be available in 5.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-09-29 20:14:07 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2cf1e5ac3bf9f051e1d58788a420cf8fe4726f50&h=libreoffice-5-4

tdf#86083 Restore old operation buttons but have them hidden

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.